Skip to Content
AccountingChart of Accounts

List all Ledgers for a Business

GET
/v0/business/{business_id}/ledger

Scopes: ledger:read

Authorization

OAuth2ClientCredentialsBearer ledger:read
headerAuthorizationBearer <token>

Scope: ledger:read

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string

Response Body

Successful Response

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/ledger'
Example Response
{  "data": [    {      "name": "Checking x5678",      "description": "Business checking account",      "type": "asset",      "subtype": "current_asset",      "financial_account_type": "bank_account",      "debit_credit": "debit",      "sort_code": "1010",      "report_cash_flow": true,      "parent_id": "ldg_KtY7p9fsM4pB58SYNar7cv",      "tax_category": "office_expenses",      "id": "ldg_WQMDNUHpBThYSNh4AprDBo",      "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",      "is_deletable": true    }  ]}